<template>
    <div class="m_main_box" ref="main_box">
        <van-list :immediate-check="false" v-model="list_loading" :finished="list_finished" @load="m_loadList">
            <div class="mes_item" v-for="(item , i ) in m_data" :key="i">
                <div class="mes_item-content">
                    <p class="mes_item-content-i flex flex-m flex-b"><span
                            class="meg_item_label">{{$t('record_no')}}：</span>{{item.record_no}}</p>
                    <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('type')}}：</span>{{item.type
                        | type}}</p>
                    <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">金额：</span>{{item.amount}}
                    </p>
                    <p class="mes_item-content-i flex flex-m flex-b"><span
                            class="meg_item_label">{{$t('created_at')}}：</span>{{item.created_at}}</p>
                    <p class="mes_item-content-i flex flex-m flex-b"><span
                            class="meg_item_label">{{$t('remark')}}：</span>{{item.remark}}</p>
                </div>
            </div>
        </van-list>
        <nodata v-if="!m_hasData&&!list_loading"/>
    </div>
</template>
<script>
  export default {
    name: 'my_pinpai',
    data() {
      return {
        pinpaiData: [],

      }
    },
    mounted() {
      this.m_loadList();
    },
    methods: {
      getDataList() {
        return this.api.load_credit3(Object.assign(this.m_pageInfo, this.search)).then(res => {
          this.total_credit = res.data.total_credit
          this.credit = res.data.credit
          this.m_data = [...this.m_data, ...res.data.data]
          return res
        })
      }
    },
    filters: {
      type(v) {
        let type = []
        try {
          let baseData = JSON.parse(sessionStorage['baseData'])
          type = baseData.filter(i => i.module == 'finance' && i.key_name == 'credit3')
        } catch (error) {
        }
        let obj = type.filter(i => i.id == v)
        if (v == 6) {
          return '品牌券转现金券';
        } else if (v == 7) {
          return '品牌券转专区券';
        } else if (v == 1) {
          return '现金券转品牌券';
        } else {
          if (obj.length) {
            return obj[0].name
          } else {
            return '未知'
          }
        }
      },
    }

  }
</script>
